## Class template severity_logger

boost::log::sources::severity_logger — Narrow-char logger. Functionally equivalent to `basic_severity_logger`.

## Synopsis

    // In header: <boost/log/sources/severity_logger.hpp>

    template<typename LevelT = int>
    class severity_logger : public basic_composite_logger< char, severity_logger< LevelT >, single_thread_model, features< severity< LevelT > > >
    {
    public:
      // construct/copy/destruct
      severity_logger();
      severity_logger(severity_logger const &);
      template<typename... ArgsT> explicit severity_logger(ArgsT...const &);
      explicit severity_logger(LevelT);
      severity_logger & operator=(severity_logger const &);
    };

## Description

See `severity` class template for a more detailed description

### `severity_logger` public construct/copy/destruct

1.     severity_logger();

   Default constructor

2.     severity_logger(severity_logger const & that);

   Copy constructor

3.     template<typename... ArgsT> explicit severity_logger(ArgsT...const & args);

   Constructor with named arguments

4.     explicit severity_logger(LevelT level);

   The constructor creates the logger with the specified default severity level

   Parameters:

   `level` | The default severity level

5.     severity_logger & operator=(severity_logger const & that);

   Assignment operator

   Swaps two loggers